Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(133)

Unified Diff: chromeos-base/vboot_reference/vboot_reference-1.0.ebuild

Issue 2852001: Prepare vboot_reference ebuild to work with the new makefile and build flow. (Closed) Base URL: ssh://git@chromiumos-git/chromiumos-overlay.git
Patch Set: Modified based on the review comments Created 10 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | chromeos-base/vboot_reference/vboot_reference-9999.ebuild » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: chromeos-base/vboot_reference/vboot_reference-1.0.ebuild
diff --git a/chromeos-base/vboot_reference/vboot_reference-1.0.ebuild b/chromeos-base/vboot_reference/vboot_reference-1.0.ebuild
index 5c28534bcf740ef4dc85adec52d31c476967df01..f7bffe95c6b89b53312ffc583dd2d269408b3aee 100644
--- a/chromeos-base/vboot_reference/vboot_reference-1.0.ebuild
+++ b/chromeos-base/vboot_reference/vboot_reference-1.0.ebuild
@@ -1,12 +1,12 @@
# Copyright (c) 2010 The Chromium OS Authors. All rights reserved.
# Distributed under the terms of the GNU General Public License v2
-inherit eutils toolchain-funcs git
+inherit cros-workon
DESCRIPTION="Chrome OS verified boot tools"
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="amd64 x86 arm"
+KEYWORDS="amd64 arm x86"
IUSE="minimal"
EAPI="2"
@@ -16,28 +16,18 @@ DEPEND="dev-libs/openssl
EGIT_REPO_URI=git://chromiumos-git/git/repos/not-yet-populated.git
SRCPATH=src/platform/vboot_reference
-src_unpack() {
- if [ -z "${CHROMEOS_ROOT}" ] ; then
- local CHROMEOS_ROOT=$(eval echo -n ~${SUDO_USER}/trunk)
- fi
- if [ -e "${CHROMEOS_ROOT}/${SRCPATH}" ] ; then
- cp -a "${CHROMEOS_ROOT}/${SRCPATH}" "${S}" || die
- else
- git_src_unpack
- fi
-}
-
-
src_compile() {
tc-export CC AR CXX
- emake || die "${SRCPATH} compile failed."
+ err_msg="${SRCPATH} compile failed. "
+ err_msg+="Try running 'make clean' in the package root directory"
+ emake || die "${err_msg}"
}
src_install() {
if use minimal ; then
- emake DESTDIR="${D}/usr/bin" -C cgpt install || \
- die "${SRCPATH} install failed."
- else
+ emake DESTDIR="${D}/usr/bin" BUILD="${S}"/build -C cgpt \
+ install || die "${SRCPATH} install failed."
+ else
emake DESTDIR="${D}/usr/bin" install || \
die "${SRCPATH} install failed."
fi
« no previous file with comments | « no previous file | chromeos-base/vboot_reference/vboot_reference-9999.ebuild » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698